Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class RDFS

    java.lang.Object
      com.hp.hpl.jena.vocabulary.RDFS

    public class RDFS

extends java.lang.Object

RDFS vocabulary items

Version:
  $Id: RDFS.java,v 1.17 2008/01/02 12:07:29 andy_seaborne Exp $
Author:
  bwm, updated by kers/daniel/christopher

Nested Class Summary
`static class` | `RDFS.Nodes` The RDFS vocabulary, expressed for the SPI layer in terms of .graph Nodes.

Field Summary
`static Resource` | `Class`
`static Property` | `comment`
`static Resource` | `ConstraintProperty` Deprecated. obsolete: was removed by the most recent standard
`static Resource` | `ConstraintResource` Deprecated. obsolete: was removed by the most recent standard
`static Resource` | `Container`
`static Resource` | `ContainerMembershipProperty`
`static Resource` | `Datatype`
`static Property` | `domain`
`static Property` | `isDefinedBy`
`static Property` | `label`
`static Resource` | `Literal`
`static Property` | `member`
`static Property` | `range`
`static Resource` | `Resource`
`static Property` | `seeAlso`
`static Property` | `subClassOf`
`static Property` | `subPropertyOf`

Constructor Summary
`RDFS()`

Method Summary
`static java.lang.String` | `getURI()` returns the URI for this schema

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Class

    public static final Resource Class

### Datatype

    public static final Resource Datatype

### ConstraintProperty

    public static final Resource ConstraintProperty

  Deprecated. obsolete: was removed by the most recent standard

### Container

    public static final Resource Container

### ContainerMembershipProperty

    public static final Resource ContainerMembershipProperty

### ConstraintResource

    public static final Resource ConstraintResource

  Deprecated. obsolete: was removed by the most recent standard

### Literal

    public static final Resource Literal

### Resource

    public static final Resource Resource

### comment

    public static final Property comment

### domain

    public static final Property domain

### label

    public static final Property label

### isDefinedBy

    public static final Property isDefinedBy

### range

    public static final Property range

### seeAlso

    public static final Property seeAlso

### subClassOf

    public static final Property subClassOf

### subPropertyOf

    public static final Property subPropertyOf

### member

    public static final Property member

Constructor Detail

### RDFS

    public RDFS()

Method Detail

### getURI

    public static java.lang.String getURI()

  returns the URI for this schema

  Returns:
    the URI for this schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP